Package org.opencv.highgui

## Class ImageWindow

- java.lang.Object
- - org.opencv.highgui.ImageWindow

-     public final class ImageWindow
      extends java.lang.Object

  This class was designed to create and manipulate the Windows to be used by the HighGui class.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `java.lang.Boolean` | `alreadyUsed` |
    `int` | `flag` |
    `javax.swing.JFrame` | `frame` |
    `int` | `height` |
    `Mat` | `img` |
    `java.lang.Boolean` | `imgToBeResized` |
    `javax.swing.JLabel` | `lbl` |
    `java.lang.String` | `name` |
    `java.lang.Boolean` | `positionToBeChanged` |
    `int` | `width` |
    `static int` | `WINDOW_AUTOSIZE` |
    `static int` | `WINDOW_NORMAL` |
    `java.lang.Boolean` | `windowToBeResized` |
    `int` | `x` |
    `int` | `y` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ImageWindow​(java.lang.String name, int flag)` |
    `ImageWindow​(java.lang.String name, Mat img)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Size` | `keepAspectRatioSize​(int original_width, int original_height, int bound_width, int bound_height)` |
    `void` | `setFrameLabelVisible​(javax.swing.JFrame frame, javax.swing.JLabel lbl)` |
    `void` | `setMat​(Mat img)` |
    `void` | `setNewDimension​(int width, int height)` |
    `void` | `setNewPosition​(int x, int y)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### WINDOW_NORMAL

          public static final int WINDOW_NORMAL

      See Also:
        Constant Field Values

    - #### WINDOW_AUTOSIZE

          public static final int WINDOW_AUTOSIZE

      See Also:
        Constant Field Values

    - #### name

          public java.lang.String name

    - #### img

          public Mat img

    - #### alreadyUsed

          public java.lang.Boolean alreadyUsed

    - #### imgToBeResized

          public java.lang.Boolean imgToBeResized

    - #### windowToBeResized

          public java.lang.Boolean windowToBeResized

    - #### positionToBeChanged

          public java.lang.Boolean positionToBeChanged

    - #### frame

          public javax.swing.JFrame frame

    - #### lbl

          public javax.swing.JLabel lbl

    - #### flag

          public int flag

    - #### x

          public int x

    - #### y

          public int y

    - #### width

          public int width

    - #### height

          public int height

  - ### Constructor Detail

    - #### ImageWindow

          public ImageWindow​(java.lang.String name,
                             Mat img)

    - #### ImageWindow

          public ImageWindow​(java.lang.String name,
                             int flag)

  - ### Method Detail

    - #### keepAspectRatioSize

          public static Size keepAspectRatioSize​(int original_width,
                                                 int original_height,
                                                 int bound_width,
                                                 int bound_height)

    - #### setMat

          public void setMat​(Mat img)

    - #### setFrameLabelVisible

          public void setFrameLabelVisible​(javax.swing.JFrame frame,
                                           javax.swing.JLabel lbl)

    - #### setNewDimension

          public void setNewDimension​(int width,
                                      int height)

    - #### setNewPosition

          public void setNewPosition​(int x,
                                     int y)